name: file_and_data_management
channels:
  - conda-forge
  - defaults

dependencies:
  - python>=3.12.11,<3.13
  - pip>=25.1.1,<26
  - pip:
    - bg-atlasapi
    - bokeh-sampledata>=2025.0,<2026
    - duckdb>0.8,<0.11
    - fsspec
    - hvplot>=0.11.3,<0.12
    - import-ipynb>=0.2,<0.3
    - ipykernel>=6.29.5,<7
    - jupytext>=1.17.2,<2
    - lxml>=4.9.3,<5.0.0
    - matplotlib>=3.10.3,<4
    - nbformat
    - netcdf4>=1.7.2,<2
    - nitime>=0.11,<0.12
    - numpy>=1.26,<3.0
    - openpyxl>=3.1.4,<3.2.0
    - pandas>=2.3.0,<3
    - panel>=1.7.5,<2
    - papermill>=2.6.0,<3
    - pingouin>=0.5.5,<0.6
    - plotly
    - pyarrow>=15.0.0,<16
    - python-dotenv>=1.1.1,<2
    - pywavelets>=1.8.0,<2
    - requests>=2.32.5,<3
    - scikit-image>=0.25.2,<0.26
    - scipy>=1.10,<2
    - seaborn>=0.13.2,<0.14
    - tifffile>=2025.6.11,<2026
    - webdav4>=0.10.0,<0.11
    - xarray>=2024.9.0,<2025
